aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorSören Tempel <soeren+git@soeren-tempel.net>2015-09-28 18:01:56 +0200
committerSören Tempel <soeren+git@soeren-tempel.net>2015-09-28 18:01:56 +0200
commitfd9172d44f891f753b6fb58559c20da43e269007 (patch)
treed4c3b05346f4946142c8608b0b0f1fef163526cf
parentc6bd52e42b251d7654fccae6da14cd6486d34d35 (diff)
downloadaports-fd9172d44f891f753b6fb58559c20da43e269007.tar.gz
aports-fd9172d44f891f753b6fb58559c20da43e269007.tar.bz2
aports-fd9172d44f891f753b6fb58559c20da43e269007.tar.xz
testing/sxhkd: minor cleanup
1) rename tarball after downloading it 2) change license from 'bsd' to 'BSD' 3) don't use depends_dev since a -dev package isn't provided 4) set myself as the maintainer
-rw-r--r--testing/sxhkd/APKBUILD34
1 files changed, 13 insertions, 21 deletions
diff --git a/testing/sxhkd/APKBUILD b/testing/sxhkd/APKBUILD
index a3bd9cc73d..f4c6b73db3 100644
--- a/testing/sxhkd/APKBUILD
+++ b/testing/sxhkd/APKBUILD
@@ -1,30 +1,21 @@
# Contributor: Olivier Mauras <olivier@mauras.ch>
-# Maintainer:
+# Contributor: Sören Tempel <soeren+alpine@soeren-tempel.net>
+# Maintainer: Sören Tempel <soeren+alpine@soeren-tempel.net>
pkgname=sxhkd
pkgver=0.5.5
-pkgrel=0
+pkgrel=1
pkgdesc="Simple X hotkey daemon"
url="https://github.com/baskerville/sxhkd"
arch="all"
-license="bsd"
+license="BSD"
depends=""
-depends_dev="xcb-util-keysyms-dev libxcb-dev"
-makedepends="$depends_dev"
+depends_dev=""
+makedepends="xcb-util-keysyms-dev libxcb-dev"
install=""
subpackages="$pkgname-doc"
-source="https://github.com/baskerville/sxhkd/archive/$pkgver.tar.gz"
+source="$pkgname-$pkgver.tar.gz::https://github.com/baskerville/sxhkd/archive/$pkgver.tar.gz"
_builddir=$srcdir/$pkgname-$pkgver
-prepare() {
- # Apply patches
- cd "$_builddir"
- for i in $source; do
- case $i in
- *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
- esac
- done
-}
-
build() {
cd "$_builddir"
make PREFIX=/usr
@@ -33,11 +24,12 @@ build() {
package() {
cd "$_builddir"
make PREFIX=/usr DESTDIR="$pkgdir" install || return 1
- # Copy examples
+
+ # Install examples
mkdir "$pkgdir"/usr/share/$pkgname
- cp -r examples "$pkgdir"/usr/share/$pkgname
+ cp -r examples "$pkgdir"/usr/share/$pkgname || return 1
}
-md5sums="e04b8d7173059bce156bec6d8cd4297d 0.5.5.tar.gz"
-sha256sums="e6699f77564e34a890d27f6c251e1ed29b04f5177e48290e7f02948497f04313 0.5.5.tar.gz"
-sha512sums="a0ea812e4cbd63330768349045547f330cdaeec7edc3270af7e7acc4b025f7aa1d2550214db0aef9621ba619e82ee9459ee76b050cc23f780f67ed0f26e9550b 0.5.5.tar.gz"
+md5sums="e04b8d7173059bce156bec6d8cd4297d sxhkd-0.5.5.tar.gz"
+sha256sums="e6699f77564e34a890d27f6c251e1ed29b04f5177e48290e7f02948497f04313 sxhkd-0.5.5.tar.gz"
+sha512sums="a0ea812e4cbd63330768349045547f330cdaeec7edc3270af7e7acc4b025f7aa1d2550214db0aef9621ba619e82ee9459ee76b050cc23f780f67ed0f26e9550b sxhkd-0.5.5.tar.gz"